org.apache.uima.analysis_engine.metadata.impl

## Class FlowControllerDeclaration_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.analysis_engine.metadata.impl.FlowControllerDeclaration_impl

- All Implemented Interfaces:
    Serializable, Cloneable, FlowControllerDeclaration, MetaDataObject, XMLizable

      public class FlowControllerDeclaration_impl
      extends MetaDataObject_impl
      implements FlowControllerDeclaration

  Declares which FlowController is used by the Aggregate Analysis Engine.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowControllerDeclaration_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)` Initializes this object from its XML DOM representation.
    `Import` | `getImport()` Gets the import that references the FlowController specifier.
    `String` | `getKey()` Gets the key that can be used to refer to the FlowController in configuration parameter overrides and Sofa mappings.
    `ResourceSpecifier` | `getSpecifier()` Retrieves the `ResourceSpecifier` used to determine which FlowController is used by the AnalysisEngine.
    `protected AttributesImpl` | `getXMLAttributes()` Called by the `MetaDataObject_impl.toXML(ContentHandler, boolean)` method to get the XML attributes that will be written as part of the element's tag.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `void` | `resolveImports()` Resolves an imported FlowController specifier, if there is one.
    `void` | `resolveImports(ResourceManager aResourceManager)` Resolves an imported FlowController specifier, if there is one.
    `void` | `setImport(Import aImport)` Sets the import that references the FlowController specifier.
    `void` | `setKey(String aKey)` Sets the key that can be used to refer to the FlowController in configuration parameter overrides and Sofa mappings.
    `void` | `setSpecifier(ResourceSpecifier aSpecifier)` Sets the `ResourceSpecifier` used to determine which FlowController is used by the AnalysisEngine.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### FlowControllerDeclaration_impl

          public FlowControllerDeclaration_impl()

  - ### Method Detail

    - #### getKey

          public String getKey()

      Description copied from interface: `FlowControllerDeclaration`
      Gets the key that can be used to refer to the FlowController in configuration parameter overrides and Sofa mappings.
      Specified by:
        `getKey` in interface `FlowControllerDeclaration`
      Returns:
        the key assigned to the FlowController

    - #### setKey

          public void setKey(String aKey)

      Description copied from interface: `FlowControllerDeclaration`
      Sets the key that can be used to refer to the FlowController in configuration parameter overrides and Sofa mappings.
      Specified by:
        `setKey` in interface `FlowControllerDeclaration`
      Parameters:
        `aKey` - the key to assign to the FlowController

    - #### getImport

          public Import getImport()

      Description copied from interface: `FlowControllerDeclaration`
      Gets the import that references the FlowController specifier.
      Specified by:
        `getImport` in interface `FlowControllerDeclaration`
      Returns:
        an object containing the import information, or null if no import was used

    - #### setImport

          public void setImport(Import aImport)

      Description copied from interface: `FlowControllerDeclaration`
      Sets the import that references the FlowController specifier.
      Specified by:
        `setImport` in interface `FlowControllerDeclaration`
      Parameters:
        `aImport` - an object containing the import information, or null if no import is to be used

    - #### getSpecifier

          public ResourceSpecifier getSpecifier()

      Description copied from interface: `FlowControllerDeclaration`
      Retrieves the `ResourceSpecifier` used to determine which FlowController is used by the AnalysisEngine.
      Specified by:
        `getSpecifier` in interface `FlowControllerDeclaration`
      Returns:
        the `ResourceSpecifier` that specifies a FlowController.

    - #### setSpecifier

          public void setSpecifier(ResourceSpecifier aSpecifier)

      Description copied from interface: `FlowControllerDeclaration`
      Sets the `ResourceSpecifier` used to determine which FlowController is used by the AnalysisEngine.
      Specified by:
        `setSpecifier` in interface `FlowControllerDeclaration`
      Parameters:
        `aSpecifier` - a `ResourceSpecifier` that specifies a FlowController

    - #### resolveImports

          public void resolveImports()
                              throws InvalidXMLException

      Description copied from interface: `FlowControllerDeclaration`
      Resolves an imported FlowController specifier, if there is one. The `specifier`property of this object is set to the result of parsing the imported descriptor. The import is then deleted.
      Specified by:
        `resolveImports` in interface `FlowControllerDeclaration`
      Throws:
        `InvalidXMLException` - if either the import target does not exist or is invalid

    - #### resolveImports

          public void resolveImports(ResourceManager aResourceManager)
                              throws InvalidXMLException

      Description copied from interface: `FlowControllerDeclaration`
      Resolves an imported FlowController specifier, if there is one. The `specifier`property of this object is set to the result of parsing the imported descriptor. The import is then deleted.
      Specified by:
        `resolveImports` in interface `FlowControllerDeclaration`
      Parameters:
        `aResourceManager` - the Resource Manager used to locate an XML file imported by name
      Throws:
        `InvalidXMLException` - if either the import target does not exist or is invalid

    - #### buildFromXMLElement

          public void buildFromXMLElement(Element aElement,
                                          XMLParser aParser,
                                          XMLParser.ParsingOptions aOptions)
                                   throws InvalidXMLException

      Description copied from class: `MetaDataObject_impl`
      Initializes this object from its XML DOM representation. This method is typically called from the `XMLParser`. It is overridden by specific Java impl classes to provide additional defaulting (e.g. see AnalysisEngineDescription_impl)
      Specified by:
        `buildFromXMLElement` in interface `XMLizable`
      Overrides:
        `buildFromXMLElement` in class `MetaDataObject_impl`
      Parameters:
        `aElement` - the XML element that represents this object.
        `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
        `aOptions` - option settings
      Throws:
        `InvalidXMLException` - if the input XML element does not specify a valid object

    - #### getXMLAttributes

          protected AttributesImpl getXMLAttributes()

      Description copied from class: `MetaDataObject_impl`
      Called by the `MetaDataObject_impl.toXML(ContentHandler, boolean)` method to get the XML attributes that will be written as part of the element's tag. By default this method returns an empty Attributes object. Subclasses may override it in order to write attributes to the XML.
      Overrides:
        `getXMLAttributes` in class `MetaDataObject_impl`
      Returns:
        an object defining the attributes to be written to the XML

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.